> For the complete documentation index, see [llms.txt](https://docs.atfinity.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.atfinity.io/rule-language/operators/date-operators/hours_spent_in_state.md).

# HOURS\_SPENT\_IN\_STATE

### Description

`HOURS_SPENT_IN_STATE` returns the total number of hours a case has spent (or has so far spent) in a given state, based on the case's transition history.

You can pass the state positionally or using the named argument `state`.

If you need the result in days rather than hours, use [`DAYS_SPENT_IN_STATE`](/rule-language/operators/date-operators/days_spent_in_state.md).

### Example

```
HOURS_SPENT_IN_STATE('in_review')
```

This returns the number of hours the current case has spent in the `in_review` state.

### Example with named argument

```
HOURS_SPENT_IN_STATE(state: 'in_review')
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.atfinity.io/rule-language/operators/date-operators/hours_spent_in_state.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
